Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::SourceParamsByteIO Class Reference

Represents compressed source-parameter data contained in a sequence header.

`#include <displayparams_byteio.h>`

Inheritance diagram for dirac::SourceParamsByteIO:
[legend]
Collaboration diagram for dirac::SourceParamsByteIO:
[legend]

List of all members.

## Public Member Functions

- SourceParamsByteIO (SourceParams &src_params, const SourceParams &default_src_params, const ByteIO &stream_data)
    Constructor for Input/Output.
- ~SourceParamsByteIO ()
    Destructor.
- void Input ()
    Reads source params information from Dirac byte-format.
- void Output ()
    Outputs source params information to Dirac byte-format.

## Private Member Functions

- void InputFrameSize ()
    Reads frame dimensions.
- void InputChromaSamplingFormat ()
    Reads Chroma Sampling Format.
- void InputPixelAspectRatio ()
    Reads pixel aspect ratio info.
- void InputCleanArea ()
    Reads clean-area info.
- void InputColourMatrix ()
    Reads colour-matrix info.
- void InputColourPrimaries ()
    Reads primary-colour info.
- void InputColourSpecification ()
    Reads colour spec info.
- void InputFrameRate ()
    Reads frame-rate info.
- void InputScanFormat ()
    Reads Scan info.
- void InputSignalRange ()
    Reads signal range info.
- void InputTransferFunction ()
    Reads transfer-function info.
- void OutputFrameSize ()
    Outputs frame dimensions.
- void OutputChromaSamplingFormat ()
    Outputs Chroma Sampling Format.
- void OutputPixelAspectRatio ()
    Outputs pixel aspect ratio info.
- void OutputCleanArea ()
    Outputs clean-area info.
- void OutputColourSpecification ()
    Outputs colour spec info.
- void OutputFrameRate ()
    Outputs frame-rate info.
- void OutputScanFormat ()
    Outputs Scan info.
- void OutputSignalRange ()
    Outputs signal range info.

## Private Attributes

- SourceParams & m_src_params
    Source parameters for input/ouput.
- const SourceParams & m_default_src_params
    Default source parameters.

## Constructor & Destructor Documentation

dirac::SourceParamsByteIO::SourceParamsByteIO | ( | SourceParams & | src_params,
|  | const SourceParams & | default_src_params,
|  | const ByteIO & | stream_data |
| ) |  |  |

Parameters:

  | src_params | Source parameters
  | default_src_params | Default Source parameters
  | stream_data | Source/Destination of data

dirac::SourceParamsByteIO::~SourceParamsByteIO | ( |  | ) |

## Member Function Documentation

void dirac::SourceParamsByteIO::Input | ( |  | ) |

void dirac::SourceParamsByteIO::Output | ( |  | ) |

void dirac::SourceParamsByteIO::InputFrameSize | ( |  | ) | `[private]`

void dirac::SourceParamsByteIO::InputChromaSamplingFormat | ( |  | ) | `[private]`

void dirac::SourceParamsByteIO::InputPixelAspectRatio | ( |  | ) | `[private]`

void dirac::SourceParamsByteIO::InputCleanArea | ( |  | ) | `[private]`

void dirac::SourceParamsByteIO::InputColourMatrix | ( |  | ) | `[private]`

void dirac::SourceParamsByteIO::InputColourPrimaries | ( |  | ) | `[private]`

void dirac::SourceParamsByteIO::InputColourSpecification | ( |  | ) | `[private]`

void dirac::SourceParamsByteIO::InputFrameRate | ( |  | ) | `[private]`

void dirac::SourceParamsByteIO::InputScanFormat | ( |  | ) | `[private]`

void dirac::SourceParamsByteIO::InputSignalRange | ( |  | ) | `[private]`

void dirac::SourceParamsByteIO::InputTransferFunction | ( |  | ) | `[private]`

void dirac::SourceParamsByteIO::OutputFrameSize | ( |  | ) | `[private]`

void dirac::SourceParamsByteIO::OutputChromaSamplingFormat | ( |  | ) | `[private]`

void dirac::SourceParamsByteIO::OutputPixelAspectRatio | ( |  | ) | `[private]`

void dirac::SourceParamsByteIO::OutputCleanArea | ( |  | ) | `[private]`

void dirac::SourceParamsByteIO::OutputColourSpecification | ( |  | ) | `[private]`

void dirac::SourceParamsByteIO::OutputFrameRate | ( |  | ) | `[private]`

void dirac::SourceParamsByteIO::OutputScanFormat | ( |  | ) | `[private]`

void dirac::SourceParamsByteIO::OutputSignalRange | ( |  | ) | `[private]`

## Member Data Documentation

SourceParams& dirac::SourceParamsByteIO::m_src_params`[private]`

const SourceParams& dirac::SourceParamsByteIO::m_default_src_params`[private]`

The documentation for this class was generated from the following file:

- displayparams_byteio.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.